package uoc.tfc.gien.communication;

import uoc.tfc.gien.GlobalApplicationData;

import uoc.tfc.gien.interpreter.JSONResponseInterpreter;
import android.app.IntentService;
import android.content.Intent;
//import android.util.Log;

/**
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class SendLocationIntentService extends IntentService {
	
	final String TAG = "SendLocationIntentService";
	private GlobalApplicationData app;

	public SendLocationIntentService() {
		super("SendLocationIntentService");
	}
	
	@Override
	public void onCreate() {
		super.onCreate();
		app = (GlobalApplicationData) this.getApplicationContext();
	}

	@Override
	protected void onHandleIntent(Intent intent) {
		String dataReceived;
		try {
			dataReceived = Communication.sendLocation(app.getLocation(), app.getServerUrl());
			Intent i = null;
			i = JSONResponseInterpreter.process(getBaseContext(), dataReceived);
			if (i!=null) {
				getApplication().startActivity(i);
			}	
		} catch (Exception e) {
			//Log.e(TAG,e.getMessage());
		}
	}

}
