/**
 * 
 */
package uoc.tfc.gien.entities;

import java.io.Serializable;
import java.net.URL;

/**
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class Favorite implements Serializable {

	private int id;
	private URL url;
	private String username;
	private String password;
	private String name;
	
	/**
	 * Constructor
	 */
	public Favorite() {
		//TO DO
	}
	
	/**
	 * Constructor
	 * 
	 * @param username
	 * @param password
	 * @param name
	 * @param description
	 */
	public Favorite(int id, URL url, String username, String password, String name) {
		this.setId(id);
		this.setUrl(url);
		this.setUsername(username);
		this.setPassword(password);
		this.setName(name);
	}

	/**
	 * @return the url
	 */
	public URL getUrl() {
		return url;
	}

	/**
	 * @param url the url to set
	 */
	public void setUrl(URL url) {
		this.url = url;
	}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username the username to set
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	
}
