/**
 * 
 */
package uoc.tfc.gien.ui;

import uoc.tfc.gien.GlobalApplicationData;
import uoc.tfc.gien.R;
import uoc.tfc.gien.entities.GieInfo;
import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

/**
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class GieInfoActivity extends Activity {
	
	private GlobalApplicationData globalData;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_gie_info);
		globalData = (GlobalApplicationData) getApplication();
		fillDataFields();
	}
	
	private void fillDataFields() {
		GieInfo info = globalData.getGieInfo();
		if (info!=null) {
			TextView tv = (TextView) findViewById(R.id.text_name);
			tv.setText(info.getName());
			
			tv = (TextView) findViewById(R.id.text_description);
			tv.setText(info.getDescription());
			
			tv = (TextView) findViewById(R.id.text_version);
			tv.setText(String.valueOf(info.getVersion()));
			
			tv = (TextView) findViewById(R.id.text_date);
			tv.setText(info.getDateStr());
			
			tv = (TextView) findViewById(R.id.text_file_format_version);
			tv.setText(String.valueOf(info.getFileFormatVersion()));
			
			tv = (TextView) findViewById(R.id.text_url);
			tv.setText(info.getUrl());
			
			tv = (TextView) findViewById(R.id.text_author);
			tv.setText(info.getAuthor());
			
			tv = (TextView) findViewById(R.id.text_url_web);
			tv.setText(info.getUrlWeb());
			
			tv = (TextView) findViewById(R.id.text_email);
			tv.setText(info.getEmail());
		}
	}
	
}
