package uoc.tfc.gien.ui;

import uoc.tfc.gien.R;
import uoc.tfc.gien.entities.interactive.Message;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.widget.TextView;


/**
 * 
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class TextMessageActivity extends Activity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_text_message);
		Intent intent = getIntent();
		Message m = (Message)intent.getSerializableExtra("message");
		TextView txtTitle = (TextView)findViewById(R.id.title);
		TextView txtText = (TextView)findViewById(R.id.text);
		txtText.setMovementMethod(new ScrollingMovementMethod());
		txtTitle.setText(m.getTitle());
		txtText.setText(m.getText());
	}
	
}
