package uoc.tfc.gien.communication;

import uoc.tfc.gien.GlobalApplicationData;

import uoc.tfc.gien.interpreter.JSONResponseInterpreter;
import android.app.IntentService;
import android.content.Intent;
//import android.util.Log;

/**
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class SendFunctionIntentService extends IntentService {
	
	//final String TAG = "SendFunctionIntentService";
	private GlobalApplicationData app;

	public SendFunctionIntentService() {
		super("SendFunctionIntentService");
	}
	
	@Override
	public void onCreate() {
		super.onCreate();
		app = (GlobalApplicationData) this.getApplicationContext();
	}

	@Override
	protected void onHandleIntent(Intent intent) {
		String dataReceived;
		try {
			dataReceived = Communication.sendFunction(app.getLocation(),
														intent.getStringExtra("method"),
														intent.getStringArrayListExtra("functionComponents"));
			Intent i = null;
			i = JSONResponseInterpreter.process(getBaseContext(), dataReceived);
			if (i!=null) {
				getApplication().startActivity(i);
			}	
		} catch (Exception e) {
			//Log.e(TAG,e.getMessage());
		}
	}

}
