package uoc.tfc.gien.entities.geo;

import java.util.ArrayList;

import org.json.JSONObject;

/**
 * 
 * @author Jordi Pérez Sandonís (jordiperez@uoc.edu)
 *
 */
public class Polygon extends Route {

	public Polygon() {
		super();
		this.setType(Type.POLYGON);
	}

	/**
	 * Constructor
	 * 
	 * @param id
	 * @param name
	 * @param description
	 * @param visibility
	 * @param select
	 * @param visited
	 * @param points
	 * @param color
	 * @param width
	 */
	public Polygon(int id, String name, String description, boolean visibility,
			int selectId, boolean visited, ArrayList<SinglePointObject> points,
			int color, int width) {
		super(id, name, description, visibility, selectId, visited, points,
				color, width);
		this.setType(Type.POLYGON);
	}
	
	/**
	 * Loads the object properties from a JSONObject
	 * 
	 * @param object
	 * @return true if success, false if not
	 */
	public boolean loadJSON(JSONObject object) {
		super.loadJSON(object);
		try {
			// to do: load new parameters (colors, widths)
		} catch (Exception e) {
			e.printStackTrace();
			return false;
		}
		return true;
	}

}
